package com.willalp.event.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 事件相关业务关系对象 hs_event_business_relation
 *
 * @author willalp
 * @date 2023-01-29
 */

@TableName("hs_event_business_relation")
public class HsEventBusinessRelation
{
    private static final long serialVersionUID = 1L;

    /** 事件ID */
    @TableId
    @Excel(name = "事件ID")
    private String eventId;

    /** 业务ID */
    @Excel(name = "业务ID")
    private String businessId;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private String businessType;

    @TableField(exist = false)
    private List<String> eventBusinessIds;

    public List<String> getEventBusinessIds() {
        return eventBusinessIds;
    }

    public void setEventBusinessIds(List<String> eventBusinessIds) {
        this.eventBusinessIds = eventBusinessIds;
    }

    public void setEventId(String eventId)
    {
        this.eventId = eventId;
    }

    public String getEventId()
    {
        return eventId;
    }
    public void setBusinessId(String businessId)
    {
        this.businessId = businessId;
    }

    public String getBusinessId()
    {
        return businessId;
    }
    public void setBusinessType(String businessType)
    {
        this.businessType = businessType;
    }

    public String getBusinessType()
    {
        return businessType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("eventId", getEventId())
            .append("businessId", getBusinessId())
            .append("businessType", getBusinessType())
            .toString();
    }
}
